package com.ruoyi.project.patrol.dev.service;

import java.util.List;
import com.ruoyi.project.patrol.dev.domain.TDevMovement;

/**
 * 移动平台及移动梯Service接口
 * 
 * @author admin
 * @date 2023-11-08
 */
public interface ITDevMovementService 
{
    /**
     * 查询移动平台及移动梯
     * 
     * @param id 移动平台及移动梯主键
     * @return 移动平台及移动梯
     */
    public TDevMovement selectTDevMovementById(Long id);

    /**
     * 查询移动平台及移动梯列表
     * 
     * @param tDevMovement 移动平台及移动梯
     * @return 移动平台及移动梯集合
     */
    public List<TDevMovement> selectTDevMovementList(TDevMovement tDevMovement);

    /**
     * 新增移动平台及移动梯
     * 
     * @param tDevMovement 移动平台及移动梯
     * @return 结果
     */
    public int insertTDevMovement(TDevMovement tDevMovement);

    /**
     * 修改移动平台及移动梯
     * 
     * @param tDevMovement 移动平台及移动梯
     * @return 结果
     */
    public int updateTDevMovement(TDevMovement tDevMovement);

    /**
     * 批量删除移动平台及移动梯
     * 
     * @param ids 需要删除的移动平台及移动梯主键集合
     * @return 结果
     */
    public int deleteTDevMovementByIds(Long[] ids);

    /**
     * 删除移动平台及移动梯信息
     * 
     * @param id 移动平台及移动梯主键
     * @return 结果
     */
    public int deleteTDevMovementById(Long id);
}
